#!/bin/bash
#MàJ de géobase, pour passer en palier 2

. /usr/share/eole/FonctionsEoleNg

. ParseDico

p_nom=${0##*/}
echo "Mise à jour de geobase vers le palier 2"
echo "Continuer ? [o]/n"
read a
if [ -z "$a" ] || [ $a = o ] || [ $a = O ]
then
        echo "Mise à jour en cours"
else
        echo "Abandon mise à jour"
        exit 1
fi

# on vérifie si inst_palier12 est bien à oui
if [  ! "$inst_pallier12" == "oui" ]; then
    echo "Vous n'avez pas activé la mise à jour vers le palier 2 dans zéphir !"
    echo "Il faut modifier ce paramètre, l'appliquer sur le serveur et relancer ce script"
    exit 1
fi

# deblocage du paquet geobase, si ca n'a pas été fait

echo eole-geo-ide-base install | dpkg --set-selections

## installation via apt-eole
# on considere que le serveur est en variante et qu'il a donc le depot intra 
# mise à jour des infos de dépôts
Query-Auto
apt-eole install eole-geo-ide-base

exit 0
